Bug 115440 - Add help text for Calc function ROUNDSIG
Summary: Add help text for Calc function ROUNDSIG
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures Calc-Function
  Show dependency treegraph
 
Reported: 2018-02-04 14:04 UTC by Winfried Donkers (retired)
Modified: 2018-02-20 20:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A preliminary draft of a help text for ROUNDSIG (14.41 KB, application/vnd.oasis.opendocument.text)
2018-02-05 13:25 UTC, Wolfgang Jäger
Details
Coments on original help page proposal. (16.65 KB, application/vnd.oasis.opendocument.text)
2018-02-05 16:52 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers (retired) 2018-02-04 14:04:32 UTC
Description:
ROUNDSIG has been added some months  ago, but unfortunately no help text was added. The function's definition can be found here https://bugs.documentfoundation.org/show_bug.cgi?id=105931#c5

Steps to Reproduce:
Search ROUNDSIG in Help, or click on Help-button from the function wizard with ROUNDSIG as selected function.

Actual Results:  
Help item is not found.

Expected Results:
Help text for ROUNDSIG shows.


Reproducible: Always


User Profile Reset: No



Additional Info:
Apart from the function definition one or more examples might clarify its working:
ROUNDSIG(12.3;1) returns 10    (1E1),     one significant digit
ROUNDSIG(12.3;2) returns 12    (1.2E1),   two significant digits
ROUNDSIG(12.3;3) returns 12.3  (1.23E1),  three significant digits
ROUNDSIG(12.3;4) returns 12.30 (1.230E1), four significant digits


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Winfried Donkers (retired) 2018-02-05 07:00:00 UTC
The examples are not perfect, the fourth example had better be left out:
ROUNDSIG(12.3;1) returns 10    (1E1),     one significant digit
ROUNDSIG(12.3;2) returns 12    (1.2E1),   two significant digits
ROUNDSIG(12.3;3) returns 12.3  (1.23E1),  three significant digits
Comment 2 Xisco Faulí 2018-02-05 11:56:22 UTC
Moving to NEW
Comment 3 Wolfgang Jäger 2018-02-05 13:25:58 UTC
Created attachment 139599 [details]
A preliminary draft of a help text for ROUNDSIG

It's the first time that I post a help draft. 
Comments and suggestions welcome!
Comment 4 Olivier Hallot 2018-02-05 16:52:43 UTC
Created attachment 139609 [details]
Coments on original help page proposal.
Comment 5 Commit Notification 2018-02-20 20:47:07 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=1c33fe883610dd1137593fb52d07b2535ad29748

tdf#115440 Help page for ROUNDSIG function in Calc